> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/network-connections/creates-a-new-network-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Creates a new Network ID

> Create a new Network ID.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /network_ids
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /network_ids:
    post:
      tags:
        - Network connections
      summary: Creates a new Network ID
      description: Create a new Network ID.
      operationId: createNetworkId
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNetworkIdRequest'
      responses:
        '201':
          description: Returns the new network ID in your workspace
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkIdResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<NetworkIdResponse>> =
            fireblocks.networkConnections.createNetworkId(networkConnectionsApiCreateNetworkIdRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<NetworkIdResponse>> response =
            fireblocks.networkConnections().createNetworkId(createNetworkIdRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.network_connections.create_network_id(create_network_id_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CreateNetworkIdRequest:
      type: object
      properties:
        name:
          type: string
        routingPolicy:
          $ref: '#/components/schemas/NetworkIdRoutingPolicy'
      required:
        - name
    NetworkIdResponse:
      type: object
      properties:
        routingPolicy:
          $ref: '#/components/schemas/NetworkIdRoutingPolicy'
        isDiscoverable:
          type: boolean
          description: The specific network is discoverable.
        id:
          type: string
          description: The specific network id
        name:
          type: string
          description: The specific network name
    NetworkIdRoutingPolicy:
      type: object
      additionalProperties:
        oneOf:
          - $ref: '#/components/schemas/CustomRoutingDest'
          - $ref: '#/components/schemas/NoneNetworkRoutingDest'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    CustomRoutingDest:
      type: object
      properties:
        scheme:
          description: The network routing logic.
          type: string
          enum:
            - CUSTOM
        dstType:
          type: string
          description: The account the funds are being sent to.
          enum:
            - FIAT_ACCOUNT
            - VAULT
            - EXCHANGE
        dstId:
          type: string
          description: The ID of the account the funds are being sent to.
      required:
        - scheme
        - dstType
        - dstId
    NoneNetworkRoutingDest:
      type: object
      properties:
        scheme:
          type: string
          description: No network routing logic.
          enum:
            - NONE
      required:
        - scheme
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````